## apbs 1.0.0

=== doc/programmer/Makefile ===
default:
	doxygen Doxyfile

=== doc/tutorial/Makefile ===
XSLDIR=/sw/share/xml/xsl/docbook-xsl/xhtml
XSLPATH=$(XSLDIR)/onechunk.xsl
XSLPATH=$(XSLDIR)/docbook.xsl
XSLTPROCOPT= -stringparam admon.graphics 1 \
	    -stringparam section.autolabel 1 \
	    -stringparam toc.section.depth 1 \
	    -stringparam section.label.includes.component.label 1
default: xsltproc
docbook2html:
	docbook2html --nochunks tutorial.xml
xsltproc:
	xsltproc $(XSLTPROCOPT) $(XSLPATH) tutorial.xml > index.html

=== doc/user-guide/Makefile ===
XSLDIR=/sw/share/xml/xsl/docbook-xsl/html
XSLPATH=$(XSLDIR)/onechunk.xsl
XSLTPROCOPT=-stringparam admon.graphics 1 -stringparam section.autolabel 1 -stringparam toc.section.depth 2 -stringparam section.label.includes.component.label 1
default: xsltproc
docbook2html:
	docbook2html --nochunks user-guide.xml
xsltproc:
	xsltproc $(XSLTPROCOPT) $(XSLPATH) user-guide.xml > index.html

## apbs 1.3.0

=== contrib/zlib/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# contrib/zlib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/apbs
pkglibdir = $(libdir)/apbs
pkgincludedir = $(includedir)/apbs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-cygwin
host_triplet = i686-pc-cygwin
target_triplet = i686-pc-cygwin
subdir = contrib/zlib
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/aaa_inc/apbscfg.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libz_la_LIBADD =
am_libz_la_OBJECTS = adler32.lo compress.lo crc32.lo deflate.lo \
	gzclose.lo gzlib.lo gzread.lo gzwrite.lo infback.lo inffast.lo \
	inflate.lo inftrees.lo trees.lo zutil.lo
libz_la_OBJECTS = $(am_libz_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src/aaa_inc
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libz_la_SOURCES)
DIST_SOURCES = $(libz_la_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = :
AMTAR = ${SHELL} /home/bake113/home/Desktop/Sync/Software/apbs/trunk/config/missing --run tar
APBS_VERSION = 1:3
AR = ar
AUTOCONF = :
AUTOHEADER = :
AUTOMAKE = :
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -fopenmp
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = cygpath -w
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = .exe
F77 = gfortran
FFLAGS =  -g -O2 -fopenmp
FGREP = @FGREP@
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = @LD@
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = @LIPO@
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/bake113/home/Desktop/Sync/Software/apbs/trunk/config/missing --run makeinfo
MKDIR_P = /usr/bin/mkdir -p
NM = @NM@
NMEDIT = @NMEDIT@
OBJEXT = o
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = apbs
PACKAGE_BUGREPORT = baker@biochem.wustl.edu
PACKAGE_NAME = APBS
PACKAGE_STRING = APBS 1.3
PACKAGE_TARNAME = apbs
PACKAGE_VERSION = 1.3
PATH_SEPARATOR = :
PY_CC = 
PY_CFLAGS = 
PY_LDFLAGS = 
PY_LINKFLAGS = 
PY_SHARED = 
RANLIB = ranlib
SED = @SED@
SET_MAKE = 
SHELL = /bin/sh
SITEPKGS = /home/bake113/lib/python2.6/site-packages
STRIP = strip
VERSION = 1.3
abs_builddir = /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/zlib
abs_srcdir = /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/zlib
abs_top_builddir = /home/bake113/home/Desktop/Sync/Software/apbs/trunk
abs_top_srcdir = /home/bake113/home/Desktop/Sync/Software/apbs/trunk
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
ac_ct_F77 = gfortran
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
apbs_build_libraries = /home/bake113/home/Desktop/Sync/Software/apbs/trunk/bin/libapbsmainroutines.la 			/home/bake113/home/Desktop/Sync/Software/apbs/trunk/src/aaa_lib/libapbs.la 			-L/home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/lib -lmaloc       	     -lm    /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/blas/.libs/libapbsblas.a /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/zlib/.libs/libz.a   
apbs_do_blas = blas
apbs_do_maloc = maloc
apbs_do_python = 
apbs_do_tools = tools
arpack_do_tools = 
arpack_lib = 
bindir = ${exec_prefix}/bin
build = i686-pc-cygwin
build_alias = 
build_cpu = i686
build_os = cygwin
build_vendor = pc
builddir = .
contrib_path = /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
fetk_cpu_vendor_os = 
host = i686-pc-cygwin
host_alias = 
host_cpu = i686
host_os = cygwin
host_vendor = pc
htmldir = ${docdir}
inc_list = -I. -I/home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/include   
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/bake113/home/Desktop/Sync/Software/apbs/trunk/config/install-sh
lib_list =       	     -lm    /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/blas/.libs/libapbsblas.a /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/zlib/.libs/libz.a   
libdir = ${exec_prefix}/lib
liberty_lib = -liberty
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = @lt_ECHO@
maloc_inc = -I/home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/include
maloc_lib = -L/home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/lib -lmaloc
mandir = ${datarootdir}/man
math_lib = -lm
mc_inc = 
mc_lib = 
mcx_inc = 
mcx_lib = 
mkdir_p = /usr/bin/mkdir -p
mpi_inc = 
mpi_lib = 
nsl_lib = 
oldincludedir = /usr/include
pdfdir = ${docdir}
pedantic_ansi = 
prefix = /home/bake113
program_transform_name = s,x,x,
psdir = ${docdir}
py_path = /usr/bin/python
rl_lib = 
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
socket_lib = 
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-cygwin
target_alias = 
target_cpu = i686
target_os = cygwin
target_vendor = pc
thread_lib = 
top_apbsdir = /home/bake113/home/Desktop/Sync/Software/apbs/trunk
top_builddir = ../..
top_srcdir = ../..
wall = 
wall_pedantic = 
wall_pedantic_ansi = 
z_lib = /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/zlib/.libs/libz.a
zlib = zlib
AUTOMAKE_OPTIONS = no-dependencies
SUFFIXES = .c .o
always_built_SUBDIRS = 
SUBDIRS = $(always_built_SUBDIRS) .
THISLIB = z
noinst_LTLIBRARIES = libz.la
libz_la_SOURCES = adler32.c compress.c crc32.c deflate.c gzclose.c \
	gzlib.c gzread.c gzwrite.c infback.c inffast.c inflate.c inftrees.c trees.c zutil.c

AM_FLAGS = -g -O2 -fopenmp
INCLUDES = -I${top_srcdir}/contrib/zlib
all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .o .lo .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  contrib/zlib/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  contrib/zlib/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libz.la: $(libz_la_OBJECTS) $(libz_la_DEPENDENCIES) 
	$(LINK)  $(libz_la_OBJECTS) $(libz_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:

=== debian/changelog ===
apbs (1.3.0-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert (dale) ]
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Don't build nor link against
    shipped copy of zlib.

  [ Michael Banck ]
  * Switch packaging to "3.0 (quilt)" format.
  * debian/rules: Rewritten for dh.
  * debian/control (Build-Depends): Removed quilt, bumped required debhelper
    version to 8.
  * debian/apbs.install: Install apbs executable explicitly.
  * debian/patches/07_destdir.patch: New patch, fixes DESTDIR in python
    setup.py installation in a contributed module.
  * debian/control (Build-Depends): Added dh-autoreconf, autoconf and
    automake.
  * debian/rules: Use --with autoreconf.
  * debian/rules (override_dh_auto_clean): Run make distclean in examples
    directory and remove all uncleaned Makefiles.
  * debian/patches/08_distclean.patch: New patch, fixes Makefile.am in various
    directories to clean all relevant files on make distclean.
  * debian/patches/09_acinclude_fix.patch: New patches, rewrites some m4
    macros so that recent autoconf versions do not produce faulty shell code,
    taken from Gentoo.
  * debian/control (Build-Depends): Added python-setuptools.

 -- Michael Banck <mbanck@debian.org>  Sun, 11 Mar 2012 19:12:24 +0100

apbs (1.2.1b-1) unstable; urgency=low

  * New upstream (bugfix) release.

  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Build-Depends): Replace libmpich1.0-dev with mpi-default-dev.
  * debian/rules: Added list-missing target.
    (DEB_CONFIGURE_EXTRA_FLAGS, DEB_CONFIGURE_SCRIPT_ENV): Use the default
    MPI implementation for the architecture.
  * debian/watch: Slightly adjusted for upstream version schema.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Dec 2009 15:59:00 +0100

apbs (1.1.0-1) unstable; urgency=low

  * New upstream release.

  * debian/apbs.1: Added citation section.
    (SEE ALSO): User guide is not available locally anymore.
  * debian/apbs.doc-base,
    debian/apbs.dirs: Dropped useless files.
  * debian/apbs.install: Removed documentation files, because the user guide
    is not shipped anymore (closes: #508980). The lintian overrides are
    considered by dh_lintian.
  * debian/control (Uploaders): Removed LI as requested. Thanks for your work!
    (Build-Depends): Re-added arpack, which is back in main.
    (Standards-Version): Bumped to 3.8.2 (no other changes).
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
  * debian/copyright: Updated and completed.
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Build with arpack.
  * debian/README.source: Added to comply to policy.
  * debian/lintian-overrides/apbs: Dropped. License file is not installed
    anymore.
  * debian/patches/01_html_documentation.dpatch: Dropped, as there is no
    documentation installed anymore.
  * debian/patches/04_remove_install-exec-am_rule.dpatch: Updated/adjusted.
  * debian/patches/05_reduce_test_suite.dpatch: Dropped (cannot be applied
    anymore).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 17 Jul 2009 19:06:05 +0200

apbs (1.0.0-2) unstable; urgency=low

  * debian/patches/06_quicktest.dpatch: New patch, add a `quicktest' target
    which only runs a couple of small tests.
  * debian/rules (DEB_MAKE_CHECK_TARGET): Run quicktest instead of test for
    now.
  * debian/control (Build-Depends): Removed libarpack2-dev. (closes: #497722)
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Removed --with-arpack.

 -- Michael Banck <mbanck@debian.org>  Thu, 04 Sep 2008 00:00:41 +0200

apbs (1.0.0-1) unstable; urgency=low

  * New upstream release.
    + No longer contains a corrupted tarball (closes: #473822).
  * debian/patches/04_remove_install-exec-am_rule.dpatch: Refreshed.
  * debian/patches/05_reduce_test_suite.dpatch: New patch, remove most of the
    coordinates for the ion test to save time (closes: 475064).

 -- Michael Banck <mbanck@debian.org>  Tue, 10 Jun 2008 14:25:47 +0200

apbs (0.5.1-2) unstable; urgency=low

  * Acknowledge NMU 0.5.1-1.1 (closes: #462263). Thanks to Colin Tuckley.

  [ Daniel Leidert ]
  * debian/apbs.1: Added.
  * debian/apbs.doc-base (Section): Adjusted accordingly to latest doc-base
    policy.
  * debian/apbs.install: Install lintian override.
  * debian/compat: Raised to level 5.
  * debian/control: Homepage field transition. Added Vcs fields. Added
    DM-Upload-Allowed field for DM status.
    (Maintainer): Set to the debichem team address. Moved Michael to
    Uploaders.
    (Uploaders): Added myself and LI Daobing.
    (Standards-Version): Updated to latest 3.7.3 (no other changes).
    (Build-Depends): Raised debhelper to v5. Added libarpack2-dev. Added
    libmpich1.0-dev for MPI support. Added python-minimal for some tests.
  * debian/copyright: Fixed old-fsf-address-in-copyright-file issue. Updated
    copyright information. Added exception.
  * debian/rules: Install the newly added apbs.1 manpage.
    (DEB_CONFIGURE_EXTRA_FLAGS): Enable building with arpack (not useful atm
    without tools). Set prefix.
    (DEB_CONFIGURE_EXTRA_FLAGS, DEB_CONFIGURE_SCRIPT_ENV): Enable MPI.
    (DEB_MAKE_INSTALL_TARGET): Only install from bin/ as long as we don't use
    the rest.
  * debian/watch: Updated to fit new source archive naming.
  * debian/lintian-overrides/apbs: Added. The documentation contains the
    license in several formats.

  [ LI Daobing ]
  * FTBFS if built twice in a row (Closes: #424100)

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 10 Mar 2008 08:46:53 +0100

apbs (0.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Build depend on libblas-dev instead of refblas3-dev (closes: #462263)
  * Add gfortran to Build Depends: to fix FTBFS in clean chroot

 -- Colin Tuckley <colint@debian.org>  Mon, 28 Jan 2008 11:05:21 +0000

apbs (0.5.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added dpatch and autotools-dev.


=== debian/control ===
Source: apbs
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
 Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: cdbs, debhelper (>= 8), dh-autoreconf, autoconf, automake,
 autotools-dev, bc, gfortran, libarpack2-dev, libblas-dev, libmaloc-dev,
 mpi-default-dev (>= 0.3), python-minimal, python-setuptools
Standards-Version: 3.8.3
Homepage: http://apbs.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/debichem/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/apbs/
DM-Upload-Allowed: yes

Package: apbs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Adaptive Poisson Boltzmann Solver
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.  Continuum electrostatics plays an
 important role in several areas of biomolecular simulation, including:
 .
   * simulation of diffusional processes to determine ligand-protein and
     protein-protein binding kinetics,
   * implicit solvent molecular dynamics of biomolecules ,
   * solvation and binding energy calculations to determine
     ligand-protein and protein-protein equilibrium binding constants
     and aid in rational drug design,
   * and biomolecular titration studies.
 .
 APBS was designed to efficiently evaluate electrostatic properties for
 such simulations for a wide range of length scales to enable the
 investigation of molecules with tens to millions of atoms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/mpi-default-dev/debian_defaults

export CC=/usr/bin/mpicc.$(ARCH_DEFAULT_MPI_IMPL)
export F77=/usr/bin/mpif77.$(ARCH_DEFAULT_MPI_IMPL)

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	-(cd examples; $(MAKE) distclean)
	dh_auto_clean
	find $(CURDIR) -name "Makefile" | xargs rm -f

override_dh_auto_configure:
	dh_auto_configure -- 				\
		--disable-zlib				\
		--with-fetk-include=/usr/include 	\
		--with-fetk-library=/usr/lib		\
		--with-blas=-lblas			\
		--with-arpack=/usr/lib			\
		--with-$(ARCH_DEFAULT_MPI_IMPL)=/usr/lib/$(ARCH_DEFAULT_MPI_IMPL)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
	-$(MAKE) -C $(CURDIR)/examples/ quicktest APBS=$(CURDIR)/bin/apbs APBSBIN=$(CURDIR)/bin/apbs

.NOTPARALLEL:

=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/apbs/apbs-([\d\.]+[a-c]?)-source\.tar\.gz

## apbs 1.4

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

################################################################################
# TODO:  Add option to build documentation at compile time
# TODO:  Add licensing and authorship information
# TODO:  Make sure license information is in doc
# TODO:  Make sure install documenteation is in doc
# TODO:  Make sure authors documenteation is in doc
# TODO:  Test with FEtk build
# TODO:  Handle special mac dependencies
#        (configure.ac:1306)
################################################################################

################################################################################
# Future Enchancements
# --------------------
# [ ] Adding a profiling mode set by a flag
# [ ] Add functionality for creating rpm and deb packages
################################################################################


################################################################################
# Test platforms
# --------------
# [x] Ubuntu x86_64
# [x] Ubuntu i386
# [ ] Redhat 5
# [ ] ArchLinux x86_64
# [ ] Mac OSX
# [ ] Windows 7 x86_64
# [ ] Windows 7 i386
# [ ] Windows 7 x86_64 with Cygwin
# [ ] Windows 7 x86_64 with Mingw
################################################################################

include(CheckIncludeFiles)
include(CheckFunctionExists)
include(ExternalProject)

set(APBS_VERSION "1.4.1")
set(PACKAGE_STRING ${APBS_VERSION})

project(apbs)



################################################################################
# Set project paths                                                            #
################################################################################

message(STATUS "Setting project paths")

set(APBS_ROOT ${PROJECT_SOURCE_DIR})
set(EXECUTABLE_OUTPUT_PATH ${APBS_ROOT}/bin)
set(LIBRARY_OUTPUT_PATH ${APBS_ROOT}/lib)
set(TOOLS_PATH ${APBS_ROOT}/tools)
set(APBS_BINARY ${EXECUTABLE_OUTPUT_PATH}/apbs)

set(LIBRARY_INSTALL_PATH lib)
set(HEADER_INSTALL_PATH include/apbs)
set(EXECUTABLE_INSTALL_PATH bin)
set(SHARE_INSTALL_PATH share/apbs)

find_file(
    CONTRIB_PATH
    NAMES contrib
    PATHS ${APBS_ROOT}
    DOC "The path to contributed modules for apbs"
    )



################################################################################
# Set up temporary files and directories                                       #
################################################################################

file(MAKE_DIRECTORY ${EXECUTABLE_OUTPUT_PATH}/temp)



################################################################################
# Set the lookup paths for external library dependencies                       #
################################################################################

message(STATUS "Setting lookup paths for headers and libraries")

set(CMAKE_INCLUDE_PATH "${CMAKE_INCLUDE_PATH}")
list(APPEND CMAKE_INCLUDE_PATH /usr/include)
list(APPEND CMAKE_INCLUDE_PATH /usr/local/include)

set(SYS_LIBPATHS "")
list(APPEND SYS_LIBPATHS /usr/lib)
list(APPEND SYS_LIBPATHS /usr/local/lib)
list(APPEND SYS_LIBPATHS /lib/x86_64-linux-gnu)

set(APBS_LIBS "")



################################################################################
# Enable ansi pedantic compiling                                               #
################################################################################

option(ENABLE_PEDANTIC "Enable the pedantic ansi compilation" OFF)

if(ENABLE_PEDANTIC)
    ADD_DEFINITIONS("-Wall -pedantic -ansi")
    message(STATUS "Pedantic compilation enabled")
endif()



################################################################################
# Determine Machine Epsilon values                                             #
################################################################################

message(STATUS "Computing machien epsilon values")

try_run(
    FLOAT_EPSILON_COMPILED
    FLOAT_EPSILON_COMPUTED
    ${EXECUTABLE_OUTPUT_PATH}/temp
    ${APBS_ROOT}/src/config/float_epsilon.c
    RUN_OUTPUT_VARIABLE FLOAT_EPSILON_OUTPUT
    )

if(FLOAT_EPSILON_COMPUTED)
    message(STATUS "Floating point epsilon is ${FLOAT_EPSILON_OUTPUT}")
    set(FLOAT_EPSILON ${FLOAT_EPSILON_OUTPUT})
else()
    message(FATAL_ERROR "Couldn't compute floating point machine epsilon")
endif()



try_run(
    DOUBLE_EPSILON_COMPILED
    DOUBLE_EPSILON_COMPUTED
    ${EXECUTABLE_OUTPUT_PATH}/temp
    ${APBS_ROOT}/src/config/double_epsilon.c
    RUN_OUTPUT_VARIABLE DOUBLE_EPSILON_OUTPUT
    )

if(DOUBLE_EPSILON_COMPUTED)
    message(STATUS "Double precision epsilon is ${DOUBLE_EPSILON_OUTPUT}")
    set(DOUBLE_EPSILON ${DOUBLE_EPSILON_OUTPUT})
else()
    message(FATAL_ERROR "Couldn't compute double precision machine epsilon")
endif()



################################################################################
# Handle the math library dependency                                           #
################################################################################

message(STATUS "Checking for math library")

find_library(
    MATH_LIBRARY
    NAMES m
    PATHS ${SYS_LIBPATHS}
    DOC   "The math library"
    )

if(MATH_LIBRARY)
    list(APPEND APBS_LIBS ${MATH_LIBRARY})
    message(STATUS "The math library was found: ${MATH_LIBRARY}")
else()
    message(FATAL_ERROR "The math library (libm) is required for apbs")
endif()




################################################################################
# Handle the liberty library dependency                                        #
################################################################################

message(STATUS "Checking for the liberty library")

find_library(
    LIBERTY_LIBRARY
    NAMES iberty
    PATHS ${SYS_LIBPATHS}
    DOC   "The liberty library"
    )

if(LIBERTY_LIBRARY)
    list(APPEND APBS_LIBS ${LIBERTY_LIBRARY})
    message(STATUS "The liberty library was found: ${LIBERTY_LIBRARY}")
else()
    message(WARNING "Liberty library not found")
endif()

# TODO: Determine if the liberty library is ever needed any more



################################################################################
# Handle the nsl library dependency                                            #
################################################################################

find_library(
    NSL_LIBRARY
    NAMES nsl
    PATHS ${SYS_LIBPATHS}
    DOC   "The nsl library"
    )

if(NSL_LIBRARY)
    list(APPEND APBS_LIBS ${NSL_LIBRARY})
    message(STATUS "The nsl library was found: ${NSL_LIBRARY}")
else()
    message(WARNING "The nsl library was not found")
endif()

# TODO: Determine if nsl library is ever needed any more



################################################################################
# Handle the socket library dependency                                         #
################################################################################

find_library(
    SOCKET_LIBRARY
    NAMES socket
    PATHS ${SYS_LIBPATHS}
    DOC   "The socket library"
    )

if(SOCKET_LIBRARY)
    list(APPEND APBS_LIBS ${SOCKET_LIBRARY})
    message(STATUS "The socket library was found: ${SOCKET_LIBRARY}")
else()
    message(WARNING "The socket library was not found")
endif()

# TODO: Determine if socket library is ever needed any more



################################################################################
# Handle the thread library dependency                                         #
################################################################################

find_library(
    THREAD_LIBRARY
    NAMES thread
    PATHS ${SYS_LIBPATHS}
    DOC   "The thread library"
    )

if(THREAD_LIBRARY)
    list(APPEND APBS_LIBS ${THREAD_LIBRARY})
    message(STATUS "The thread library was found: ${THREAD_LIBRARY}")
else()
    message(WARNING "The thread library was not found")
endif()

# TODO: Determine if thread library is ever needed any more



################################################################################
# Handle conditional inclusion of the readline library                         #
################################################################################

option(ENABLE_READLINE "Enable the readline library" OFF)

if(ENABLE_READLINE)
    message(STATUS "Checking for realine library")
    find_library(
        READLINE_LIBRARY
        NAMES readline
        PATHS ${SYS_LIBPATHS}
        )

    if(READLINE_LIBRARY)
        list(APPEND APBS_LIBS ${READLINE_LIBRARY})
        set(HAVE_LIBREADLINE 1)
        message(STATUS "The readline library was found: ${READLINE_LIBRARY}")



        message(STATUS "Checking fore ncurses library")
        find_library(
            NCURSES_LIBRARY
            NAMES ncurses
            PATHS ${SYS_LIBPATHS}
            )

        if(NCURSES_LIBRARY)
            list(APPEND APBS_LIBS ${NCURSES_LIBRARY})
            message(STATUS "The ncurses library was found: ${NCURSES_LIBRARY}")
        else()
            message(WARNING "The ncurses library was not found")
        endif()
    else()
        message(WARNING "The readline library was not found.  Did not enable readline")
    endif()
endif()



################################################################################
# Handle conditional inclusion of the electric fence library                   #
################################################################################

option(ENABLE_EFENCE "Enable the electric fence library" OFF)

if(ENABLE_EFENCE)
    message(STATUS "Checking for efence library")
    find_library(EFENCE_LIBRARY NAMES efence PATHS ${SYS_LIBPATHS})
    if(EFENCE_LIBRARY)
        list(APPEND APBS_LIBS ${EFENCE_LIBRARY})
        message(STATUS "The efence library was found: ${EFENCE_LIBRARY}")
    else()
        message(WARNING "The efence library was not found. Did not enable efence")
    endif()
endif()



################################################################################
# Check for a few required functions                                           #
################################################################################

CHECK_FUNCTION_EXISTS(time HAVE_TIME_FUNC)

if(NOT HAVE_TIME_FUNC)
    message(FATAL_ERROR "Required time function not found")
endif()



CHECK_FUNCTION_EXISTS(rand HAVE_RAND_FUNC)

if(NOT HAVE_RAND_FUNC)
    message(FATAL_ERROR "Required rand function not found")
endif()



CHECK_FUNCTION_EXISTS(srand HAVE_SRAND_FUNC)

if(NOT HAVE_SRAND_FUNC)
    message(FATAL_ERROR "Required srand function not found")
endif()



################################################################################
# Look for the FEtk library                                                    #
################################################################################

find_file(
    FETK_PATH
    NAMES fetk
    PATHS ${SYS_LIBPATHS} /data/work/source
    DOC "Use an external fetk library"
    )

if(FETK_PATH)
    include_directories(${FETK_PATH}/include)
    message(STATUS "Found fetk: ${FETK_PATH}")
else()
    message(WARNING "Did not find fetk")
endif()



################################################################################
# Handle the MALOC library dependency                                          #
################################################################################

CHECK_INCLUDE_FILES(maloc/maloc.h HAVE_MALOC_H)

if(HAVE_MALOC_H)
    message(STATUS "External maloc headers found")
else()
    message(WARNING "External maloc headers not found.")
endif()

find_library(
    MALOC_LIBRARY
    NAMES maloc
    PATHS ${FETK_PATH}/lib ${CONTRIB_PATH} ${SYS_LIBPATHS}
    DOC   "The fetk/maloc library"
)

if(MALOC_LIBRARY)
    message(STATUS "External maloc library was found: ${MALOC_LIBRARY}")
else()
    message(WARNING "External maloc library was not found.")
endif()

if(NOT (HAVE_MALOC_H AND MALOC_LIBRARY))
    message(STATUS "Using internal contributed maloc library")
    ExternalProject_add(
        maloc
        URL file://${CONTRIB_PATH}/maloc.tar.gz
        SOURCE_DIR ${CONTRIB_PATH}/maloc

=== doc/CMakeLists.txt ===
################################################################################
# TODO:  Generate license.html
################################################################################

find_package(Doxygen REQUIRED)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/programmer/Doxyfile.in
    ${CMAKE_CURRENT_SOURCE_DIR}/programmer/Doxyfile
    )

add_custom_target(
    doc
    ALL
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/programmer/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/programmer
    COMMENT "Generating documentation with Doxygen" VERBATIM
)

=== src/CMakeLists.txt ===
macro(add_items TYPE)

    # Make sure the TYPE argument is valid
    set(ALLOWABLE_TYPES SOURCES EXTERNAL_HEADERS INTERNAL_HEADERS)
    list(FIND ALLOWABLE_TYPES ${TYPE} VALID_TYPE)
    if(VALID_TYPE EQUAL -1)
        message(
            FATAL_ERROR
            "Passed an invalid type to add_items macro.  "
            "Must be one of SOURCES, EXTERNAL_HEADERS, or INTERNAL_HEADERS.  "
            "Was ${TYPE}"
        )
    endif()

    # The items to add will be any additional parameters beyond TYPE
    set(ITEMS ${ARGN})

    # Add each item successively to the appropriately typed list
    foreach(ITEM ${ITEMS})
        list(APPEND ${TYPE} "${ITEM}")
    endforeach()

endmacro()



macro(add_sublibrary LIBRARY)
    set(LIBRARY_NAME "apbs_${LIBRARY}")
    set(LIBRARY_DEPENDENCIES ${APBS_LIBS} ${ARGN})
    message(STATUS "Adding ${LIBRARY_NAME}")
    message(STATUS "With source files ${SOURCES}")
    message(STATUS "With external header files ${EXTERNAL_HEADERS}")
    message(STATUS "With internal header files ${INTERNAL_HEADERS}")
    message(STATUS "With library dependencies ${LIBRARY_DEPENDENCIES}")
    add_library(${LIBRARY_NAME} SHARED ${SOURCES} ${EXTERNAL_HEADERS} ${INTERNAL_HEADERS})
    target_link_libraries(${LIBRARY_NAME} ${LIBRARY_DEPENDENCIES})
    INSTALL(FILES ${EXTERNAL_HEADERS} DESTINATION ${HEADER_INSTALL_PATH}/${LIBRARY})
    INSTALL(TARGETS ${LIBRARY_NAME} DESTINATION ${LIBRARY_INSTALL_PATH})
    list(APPEND APBS_INTERNAL_LIBS ${LIBRARY_NAME})
    set(APBS_INTERNAL_LIBS ${APBS_INTERNAL_LIBS} PARENT_SCOPE)
    message(STATUS "Added ${LIBRARY_NAME}")
endmacro()



add_subdirectory(generic)
add_subdirectory(pmgc)
add_subdirectory(mg)
if(ENABLE_FETK)
   add_subdirectory(fem)
endif(ENABLE_FETK)

add_executable(apbs main.c apbs.h routines.c routines.h)
target_link_libraries(apbs ${APBS_LIBS} ${APBS_INTERNAL_LIBS})

configure_file(
    ${APBS_ROOT}/src/config/apbscfg.h.in
    ${APBS_ROOT}/src/apbscfg.h
    )

INSTALL(FILES apbs.h routines.h DESTINATION ${HEADER_INSTALL_PATH})
INSTALL(TARGETS apbs DESTINATION ${EXECUTABLE_INSTALL_PATH})

=== tools/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${TOOLS_PATH}/bin)

add_subdirectory(mesh)
add_subdirectory(manip)

if(ENABLE_PYTHON)
    add_subdirectory(manip)
endif(ENABLE_PYTHON)

=== doc/doxygen/Makefile ===
#############################################################################
### MALOC = < Minimal Abstraction Layer for Object-oriented C >
### Copyright (C) 1994--2008 Michael Holst
###
### This library is free software; you can redistribute it and/or
### modify it under the terms of the GNU Lesser General Public
### License as published by the Free Software Foundation; either
### version 2.1 of the License, or (at your option) any later version.
###
### This library is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
### Lesser General Public License for more details.
###
### You should have received a copy of the GNU Lesser General Public
### License along with this library; if not, write to the Free Software
### Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
###
### rcsid="$Id: Makefile,v 1.2 2008/02/22 21:46:16 fetk Exp $"
### ##########################################################################

## ###########################################################################
## File:    Makefile
##
## Purpose: Automatically generate documentation using doxygen.
##
## Notes:   Both HTML and LaTeX (dvi/ps/pdf) documentation is created.
##
## Author:  Michael Holst
## ###########################################################################

all :
	doxygen maloc.dox

=== src/base/CMakeLists.txt ===
add_items(
    SOURCES
    maloc_base.c
)

add_items(
    EXTERNAL_HEADERS
    maloc/maloc.h
    maloc/maloc_base.h
)

add_items(
    INTERNAL_HEADERS
    maloc_base_p.h
)

=== src/fem/CMakeLists.txt ===
add_items(
    SOURCES
    vcsm.c
    vfetk.c
    vpee.c
)

add_items(
    EXTERNAL_HEADERS
    vcsm.h
    vfetk.h
    vpee.h
)

add_sublibrary(fem)

=== src/generic/CMakeLists.txt ===
add_items(
    SOURCES
    nosh.c
    mgparm.c
    femparm.c
    pbeparm.c
    apolparm.c
    vacc.c
    valist.c
    vatom.c
    vpbe.c
    vcap.c
    vclist.c
    vstring.c
    vparam.c
    vgreen.c
)

add_items(
    EXTERNAL_HEADERS
    nosh.h
    mgparm.h
    femparm.h
    pbeparm.h
    apolparm.h
    vacc.h
    valist.h
    vatom.h
    vpbe.h
    vcap.h
    vclist.h
    vstring.h
    vparam.h
    vgreen.h
    vmatrix.h
    vhal.h
)

add_sublibrary(generic)

=== src/psh/CMakeLists.txt ===
add_items(
    SOURCES
    psh.c
    vcom.c
    vmp.c
    vmpi.c
)

add_items(
    EXTERNAL_HEADERS
    maloc/psh.h
    maloc/vcom.h
    maloc/vmp.h
    maloc/vmpi.h
)

add_items(
    INTERNAL_HEADERS
    psh_p.h
    vcom_p.h
    vmpi_p.h
    vmp_p.h
)

=== src/vsh/CMakeLists.txt ===
add_items(
    SOURCES
    vlex.c
    vpars.c
    vpup.c
    vsh.c
    vyacc.c
)

add_items(
    EXTERNAL_HEADERS
    maloc/vsh.h
)

add_items(
    INTERNAL_HEADERS
    vpup.h
    vsh_p.h
    vyacc.h
)

=== src/vsys/CMakeLists.txt ===
add_items(
    SOURCES
    vio.c
    viofb.c
    vmem.c
    vnm.c
    vnmfb.c
    vset.c
    ziofb.c
)

add_items(
    EXTERNAL_HEADERS
    maloc/vio.h
    maloc/vmem.h
    maloc/vnm.h
    maloc/vset.h
    maloc/vsys.h
)

add_items(
    INTERNAL_HEADERS
    vio_p.h
    vmem_p.h
    vnm_p.h
    vset_p.h
)

=== tools/manip/CMakeLists.txt ===
message(STATUS "Building manip")

set(LIBS "")
list(APPEND LIBS "apbs_generic")
list(APPEND LIBS "apbs_mg")
list(APPEND LIBS "apbs_pmgc")
if(FETK_ENALBED)
    list(APPEND LIBS "apbs_fem")
endif(FETK_ENALBED)

message(STATUS "libraries: ${LIBS}")

add_executable(coulomb coulomb.c)
target_link_libraries(coulomb ${LIBS})

add_executable(born born.c)
target_link_libraries(born ${LIBS})

=== debian/changelog ===
apbs (1.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:13:09 +0000

apbs (1.4-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (Standards-Version): Bumped to 3.9.4.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (DM-Upload-Allowed): Dropped.
    (Build-Depends): Dropped all autotools related build dependencies,
    libarpack2-dev, libblas-dev and bc. Added cmake, libpython-dev
    and zlib1g-dev.
  * debian/copyright: Updated.
  * debian/rules: Enable hardening. Dropped all autotools related stuff and
    rewrote it for cmake build system.
  * debian/watch: Make regex case insensitive.
  * debian/patches/03_skip_expensive_tests.patch: Dropped. Upstream changed
    to cmake.
  * debian/patches/06_quicktest.patch: Ditto.
  * debian/patches/07_destdir.patch: Ditto.
  * debian/patches/08_distclean.patch: Ditto.
  * debian/patches/09_acinclude_fix.patch: Ditto.
  * debian/patches/debian_make.patch: Added.
    - Compile internal libraries statically into apbs.
  * debian/patches/debian_testfiles.patch: Added.
    - Skip expensive tests (see 03_skip_expensive_tests.patch).
  * debian/patches/series: Adjusted.

  [ Andreas Tille ]
  * debian/upstream: Author field in BibTeX syntax

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 08 Aug 2013 18:21:30 +0200

apbs (1.3.0-2) unstable; urgency=low

  * debian/apbs.install: Adjusted.
  * debian/apbs.manpages: Added to fix binary-without-manpage.
  * debian/compat: Increased dh level to 7.
  * debian/control: Used wrap-and-sort.
    (Standards-Version): Bumped to recent 3.9.3.
    (Build-Depends): Removed unused cdbs. Added autotools-dev version
    requirements. Lowered required debhelper version.
    (Vcs-Browser): Fixed.
  * debian/copyright: Updated. Removed BSD license file reference to fix
    copyright-refers-to-deprecated-bsd-license-file.
  * debian/rules: Run autotools_dev template. Added override target for
    dh_install. Added target to install upstream changelog file.
  * debian/upstream: Added.
  * debian/README.source: Dropped obsolete file.
  * debian/patches/*.patch: Updated for quilt.
  * debian/patches/04_remove_install-exec-am_rule.patch: Dropped. Moved
    patch content to 07_destdir.patch.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 29 Apr 2012 23:35:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: apbs
 Section: science
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>,
- Daniel Leidert (dale) <daniel.leidert@wgdd.de>
-Build-Depends: cdbs, debhelper (>= 8), dh-autoreconf, autoconf, automake,
- autotools-dev, bc, gfortran, libarpack2-dev, libblas-dev, libmaloc-dev,
- mpi-default-dev (>= 0.3), python-minimal, python-setuptools
-Standards-Version: 3.8.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Uploaders: Michael Banck <mbanck@debian.org>
+Build-Depends: cmake,
+               debhelper (>> 7.0.50~),
+               libmaloc-dev,
+               libpython-dev,
+               mpi-default-dev (>= 0.3),
+               python-minimal (>> 2.6.6-3~),
+               python-setuptools,
+               zlib1g-dev
+Standards-Version: 3.9.4
 Homepage: http://apbs.sourceforge.net
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/apbs/
-DM-Upload-Allowed: yes
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/apbs/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/apbs/
 
 Package: apbs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Adaptive Poisson Boltzmann Solver
  APBS is a software package for the numerical solution of the
  Poisson-Boltzmann equation (PBE), one of the most popular continuum

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/mpi-default-dev/debian_defaults

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=None -DCMAKE_SKIP_RPATH=On \
		-DBUILD_DOC=Off -DBUILD_TOOLS=Off \
		-DENABLE_OPENMP=On -DENABLE_MPI=On -DENABLE_ZLIB=On \
		-DENABLE_PYTHON=On -DENABLE_READLINE=Off \
		-DFETK_PATH=/usr -DENABLE_FETK=Off

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp/

override_dh_clean:
	-(cd $(CURDIR)/build && /bin/bash cleanup.sh)
	dh_clean

override_dh_auto_test:
	-(cd tests; python apbs_tester.py -c test_cases.cfg)

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/tmp --list-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/apbs/(?i)apbs-([\d\.]+[a-c]?)-source\.tar\.gz
